cgi_filehandle(3)

NAME
cgi_filehandle - return a file pointer to an uploaded file

SYNOPSIS
#include <cgi/cgi.h> FILE *cgi_filehandle (CGI *cgi, const char *form_name);

ARGUMENTS
cgi - a pointer to a CGI struct allocated with cgi_init
form_name - the form name that the file was uploaded as
(not the filename) (if NULL, we're asking for the
file handle for the PUT upload)

DESCRIPTION
cgi_filehandle will return the stdio FILE pointer associated with a file that was uploaded using multipart/form-data. The FILE pointer is positioned at the start of the file when first available.

RETURN VALUE
None

SEE ALSO
cgi_debug_init(3), cgi_parse(3), cgi_destroy(3), cgi_js_escape(3), cgi_html_escape_strfunc(3), cgi_register_strfuncs(3), cgi_output(3), parse_rfc2388(3), cgi_url_validate(3), open_upload(3), cgi_cs_init(3), cgi_url_escape_more(3), cgi_html_strip_strfunc(3), cgi_neo_error(3), cgi_redirect(3), cgi_filehandle(3), cgi_register_parse_cb(3), cgi_url_escape(3), cgi_init(3), cgi_redirect_uri(3), cgi_cookie_clear(3), cgi_url_unescape(3), cgi_vredirect(3), cgi_display(3), cgi_html_ws_strip(3), cgi_error(3), cgi_cookie_set(3), cgi_text_html_strfunc(3), cgi_cookie_authority